Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


//Removed by EUCookieLaw Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Majonix 2.0 Avanzamento parziale di versione.
#1
Alcuni giorni fa per poter fare degli aggiornamenti mi si chiedeva di eseguire un avanzamento parziale di versione. Ho acconsentito e sono stati scaricati diversi pacchetti. Dopo il download è iniziata l'installazione solo che a 3/4 si è fermata la barra di avanzamento con nei dettagli il testo che appare nell'immagine che allego. Lo strano è che il led che indica che la CPU lavora rimaneva sempre acceso senza apparente continuazione della installazione.
Ho lasciato stare per circa mezzora e quando ho compreso che in effetti l'installazione non proseguiva ho riavviato.
Però Majonix non si più avviata; dopo la scelta data a Grub lo schermo rimane nero e appariva in alto a sinistra la scritta "ciocca956 login" e il cursore che lampeggiava. Mettendo il mio Username mi chiede la password di root. Metto la mia consueta password ma prosegue a chiedermi comandi che non conosco.
Allora provo ad avviare le opzioni avanzate e scelgo la correrzione dei pacchetti danneggiati ma mi arriva alla schermata allegata che riporta esattamente lo stesso testo apparso nei dettagli della installazione aggiornamenti bloccata.
Ora mi sono scaricato la Majonix 2.0.1 e stasera o domani la installo.
Arriverò prima o poi allo stesso risultato della 2.0???
Al.


Allegati Anteprime
   
Cita messaggio
Grazie da:
#2
L'avanzamento parziale di versione non è il massimo, se poi ci aggiungiamo che l'avanzamento parziale è da una LTS ad una intermedia, allora è da evitare come la peste.
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
Grazie da:
#3
riesci a modificare il titolo con uno che identifica il problema. grazie
esempio: majonix non si avvia dopo avanzamento parziale distribuzione
Cita messaggio
Grazie da:
#4
@dukko. Alcune obiezioni:
L'avanzamento parziale di versione stando alla mia esperienza, non comporta l'avanzamento ad una versione intermedia di Ubuntu bensì all'aggiornamento del Kernel (penso). Infatti nell'altro PC dove tengo la 12.04 ne ho eseguiti 4 di avanzamenti e la distribuzione è diventata progressivamente 12.04.1, 12.04.2,...3....4. Non è passata alla 12.10.
Inoltre, anche allora come in questo caso, mi era uscito un avviso che alcuni aggiornamenti non potevano essere eseguiti senza questo avanzamento. Con l'esperienza positiva avuta con la 12.04 non ho ritenuto pregiudizievole fare questo avanzamento solo che stavolta ha portato al disastro.
Se il gestore degli aggiornamenti mi propone delle operazioni in base a quale criterio io valuto l'opportunità o meno di fare quanto propone? Se per avere questi aggiornamenti mi obbliga a fare una operazione necessaria come posso io valutare se la rinuncia a questi aggiornamenti è opportuna? Se è vi sono degli aggiornamenti non necessari perchè proporli?
N.B. M'ero scordato di allegare l'immagine di riferimento.
Forse ora è più facile per voi comprendere cosa sia successo.
Al.
Cita messaggio
Grazie da:
#5
prova anche così, avvia dal recovery e poi scegli l'opzione passa ad una shell con privilegi di root e poi dai
Codice:
mount -o remount,rw / && dpkg --configure -a
e vedi se configura i pacchetti, al termine riavvia con
Codice:
reboot
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#6
(31-01-2015,21:28 )ciocca956 Ha scritto: @dukko. Alcune obiezioni:
L'avanzamento parziale di versione stando alla mia esperienza, non comporta l'avanzamento ad una versione intermedia di Ubuntu bensì all'aggiornamento del Kernel (penso). Infatti nell'altro PC dove tengo la 12.04 ne ho eseguiti 4 di avanzamenti e la distribuzione è diventata progressivamente 12.04.1, 12.04.2,...3....4. Non è passata alla 12.10.
Inoltre, anche allora come in questo caso, mi era uscito un avviso che alcuni aggiornamenti non potevano essere eseguiti senza questo avanzamento. Con l'esperienza positiva avuta con la 12.04 non ho ritenuto pregiudizievole fare questo avanzamento solo che stavolta ha portato al disastro.
Se il gestore degli aggiornamenti mi propone delle operazioni in base a quale criterio io valuto l'opportunità o meno di fare quanto propone? Se per avere questi aggiornamenti mi obbliga a fare una operazione necessaria come posso io valutare se la rinuncia a questi aggiornamenti è opportuna? Se è vi sono degli aggiornamenti non necessari perchè proporli?
N.B. M'ero scordato di allegare l'immagine di riferimento.
Forse ora è più facile per voi comprendere cosa sia successo.
Al.
Purtroppo non è così, la 12.04.1 e la 12.04.2 sono sempre la 12.04, solo che contengono tutti gli aggiornamenti della LTS fino a quel momento. Quei numeri di versioni sono nati solo per permettere agli utenti di scaricare una iso ed installarla senza dover per forza in seguito scaricare una montagna di aggiornamenti e vengono rilasciate semestralmente se non ricordo male.

L'avanzamento parziale di versione invece è tutta un'altra cosa.
Come dice la parola stessa, porta alcune importanti librerie di sistema (il kernel viene comunque aggiornato per la versione in uso e non c'entra con "Avanzamento di versione") alla versione successiva (che non troverai mai in una LTS), questo accade perché sul sistema sono inclusi software di altre provenienze come repository di terze parti, che richiedono per il loro aggiornamento librerie di versione superiore. Purtroppo, con gli avanzamenti di versione si potrebbe rendere instabile il sistema e questo perché alcune componenti del sistema stesso, cercheranno di comunicare con librerie che parlano lingue leggermente differenti o che non includono più alcune funzionalità che invece ai software standard servono (tutti i software che non richiedono l'avanzamento parziale di versione).

Il discorso del gestore aggiornamenti è semplice, lui esegue una ricerca all'interno dei repository e vede se ci sono degli aggiornamenti presenti. Nel momento in cui rileva un'incongruenza con il core delle librerie, te lo segnala con il messaggio che, per procedere all'aggiornamento, deve fare un avanzamento "parziale" (che non porta il sistema alla versione successiva, ma solo alcune librerie di base). Quindi non si tratta di aggiornamenti non necessari, ma di aggiornamenti riguardanti probabilmente solo un programma, che richiedono librerie di versione superiore.

E' successo anche a me in passato, e più di una volta. Quando si aggiungono software al sistema, bisognerebbe sempre usare repository provenienti da PPA. In questo modo abbiamo una garanzia in più che non accadano questi problemi.
Purtroppo, che io sappia, ad avanzamento parziale eseguito, non c'è modo di tornare indietro Idea
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
Grazie da:
#7
Ciao dukko.
Qui il resoconto di una precedente esperienza:
http://www.istitutomajorana.it/forum/Thr...ito?page=2

Secondo DXGiusti non è come dici te.
In ogni caso il problema è che ora majonix non si avvia. Ho provato diverse volte ma inutilmente.
Stando così le cose meglio installare ex novo così metto la 2.0.1.
Il problema potrebbe ripresentarsi. Quando ciò dovesse verificarsi prima di procedere chiederò lumi a voi.
Ciao. Al.
Cita messaggio
Grazie da:
#8
(01-02-2015,11:57 )ciocca956 Ha scritto: Ciao dukko.
Qui il resoconto di una precedente esperienza:
http://www.istitutomajorana.it/forum/Thr...ito?page=2

Secondo DXGiusti non è come dici te.

Ciao Al, se vuoi dico che è così, ma non sarebbe la verità Idea
L'avanzamento parziale di versione prevede un aggiornamento di parte/alcune (parziale appunto) librerie di sistema per permettere di aggiornare software che sono al di fuori dei repository ufficiali di Ubuntu (ivi inclusi i PPA). Puoi fare un test, installa in virtualbox majonix 2.0 e poi apri il gestore aggiornamenti, vedrai che non ti proporrà alcun aggiornamento parziale. Tongue

le versioni 14.04.1 e 14.04.2 non sono altro che la 14.04 ma con tutti gli aggiornamenti (normali) e vengono rilasciate ogni 6 mesi circa, esattamente come per la 12.04.1 e 12.04.2 e le altre LTS prima di loro, guarda qui. Scorri in basso fino a trovare la tabella.

(01-02-2015,11:57 )ciocca956 Ha scritto: In ogni caso il problema è che ora majonix non si avvia. Ho provato diverse volte ma inutilmente.
Stando così le cose meglio installare ex novo così metto la 2.0.1.
Il problema potrebbe ripresentarsi. Quando ciò dovesse verificarsi prima di procedere chiederò lumi a voi.
Ciao. Al.

Il problema non si ripresenterà a meno che non installerai altro software al di fuori di quello dei repository già implementati.
Comunque, se aggiungi qualcosa, poi effettua un aggiornamento per vedere se si ripresenta la proposta.
In tal caso avrai trovato il software incriminato.
Ogni fallimento avvicina sempre più alla meta... Arrendersi subito equivale a non provare affatto.

Il bisogno di conoscere e scoprire, è la fiamma che alimenta la fornace che è il cervello umano.
Cita messaggio
Grazie da:
#9
Ciao.
io non voglio affatto che tu affermi cose che ritieni infondate e non sono così esperto da poter dire quale delle due versioni, (la tua e di dxgiusti) sia corrispondente al vero. Ho solo notato che affermate cose diverse.

Del resto anche questa tua ultima affermazione non è esattamente come la prima.
Tu ora dici che l'avanzamento parziale viene richiesto per il fatto di aver installato software supplementare mentre giusti dice che è un progresso del S.O. peraltro programmato dagli sviluppatori.
sapere quale sia la realtà per me non è molto rilevante in quanto sono piuttosto ignorante in materia e non ho ambizione di progredire fino a quel livello. Vorrei solo sapere come comportarmi per evitare problemi come in questo caso.

Per esempio: ora installerò la 2.0.1 e poi eseguirò le mie personalizzazioni e installerò alcuni programmi che mi servono. Una volta fatto tutto ciò mi farò la copia con Systemback.
Per sopperire ad una eventuale situazione analoga devo fare la Iso e masterizzarla oppure sarà possibile ripristinare l'immagine anche sa il S.O. non parte?
Cita messaggio
Grazie da:
#10
non litighiamo sui termini. fare un aggiornamento che ti propone l'avanzamento di versione non ti porterà ad una distribuzione diversa esempio 12.04 > 14.04 ma ti aggiornerà la tua all'ultima disponibile. il problema nasce quando installa un kernel diverso e questo succede con 12.04 ed il comando apt-get dist-upgrade. se tu hai fatto questo, e la tua non si riavvia più, fai una prova, avvia da recovery e scegli di partire con un kernel precedente. se riparte, vedremo cosa fare.
altro piccolo ma utile consiglio, da gestione software nella finestra degli avanzamenti, metti mai. non avrai preoccupazioni per il futuro.
Cita messaggio
Grazie da:


Vai al forum: